JDBC3Test (jTDS API)
Keywords: net.sourceforge.jtds.test.JDBC3Test class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class JDBC3Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.JDBC3Test

All Implemented Interfaces:
  junit.framework.Test

public class JDBC3Test
extends TestBase

Test for miscellaneous JDBC 3.0 features.

Version:
  $Id: JDBC3Test.java,v 1.3.2.1 2009/08/04 10:33:54 ickzon Exp $
Author:
  Alin Sinpalean

Field Summary

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`JDBC3Test(java.lang.String name)`

Method Summary
`void` | `testGetParamMetaData()` Test for bug [1222205] getParameterMetaData returns not implemented.
`void` | `testMultipleResults()` Test return of multiple open result sets from one execute.
`void` | `testSocketConcurrency5()` Test closing a `ResultSet` when it's out of scope.

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBC3Test

    public JDBC3Test(java.lang.String name)

Method Detail

### testMultipleResults

    public void testMultipleResults()
                             throws java.lang.Exception

  Test return of multiple open result sets from one execute.

  Throws:
    `java.lang.Exception`

### testSocketConcurrency5

    public void testSocketConcurrency5()
                                throws java.lang.Exception

  Test closing a `ResultSet` when it's out of scope.

  If a finalize() method which tries to call close() is added to JtdsResultSet the next() calls will be executed concurrently with any other result processing, with no synchronization whatsoever.

  Throws:
    `java.lang.Exception`

### testGetParamMetaData

    public void testGetParamMetaData()
                              throws java.sql.SQLException

  Test for bug [1222205] getParameterMetaData returns not implemented.

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009